From a3ec79933abf0995c3a0b94bf924faf47383f13d Mon Sep 17 00:00:00 2001
From: Jakob Leben <jakob.leben@gmail.com>
Date: Sun, 2 Aug 2009 14:13:41 +0200
Subject: [PATCH] Playlist: correct insertion index when moving items into nodes

---
 src/playlist/item.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/src/playlist/item.c b/src/playlist/item.c
index b95fc42..23cff64 100644
--- a/src/playlist/item.c
+++ b/src/playlist/item.c
@@ -691,7 +691,7 @@ static int TreeMove( playlist_t *p_playlist, playlist_item_t *p_item,
      * down of the playlist. So when removing the element we have
      * to change the position as we loose one element
      */
-    if( j < i_newpos )
+    if( p_detach == p_node && j < i_newpos )
         i_newpos--;
 
     /* Attach to new parent */
-- 
1.6.0.4

